4Suite™ API Documentation

# ► Module Ft.Rdf.Drivers.Dbm

A persistent RDF model driver using the Memory driver, but pickling to the file system
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: DbAdapter, ModelCache |  |  |  | Functions: CreateDb, CreateFileName, DestroyDb, ExistsDb, GetDb, InitializeModule |  |  |  | Fields: g_modelCache

## Classes

class DbAdapter(Ft.Rdf.Drivers.Memory.DbAdapter)
# The RDF Adapter interface

### Methods

__init__(self, name, modelName='default')
add(self, statements)
begin(self)
bind(self, object, name, scope)
commit(self)
remove(self, statements)
removePattern(self, subject, predicate, object, statementUri, scope, flags)
rollback(self)
unbind(self, name, scope)

### Methods inherited from class Ft.Rdf.Drivers.Memory.DbAdapter

complete, contains, has_key, isResource, keys, lookup, objectsFromSubAndPreds, properties, resources, size, subjectsFromPredAndObjs, subjectsFromPredsAndObj

class ModelCache

### Methods

__init__(self)
begin(self, fName, modelName)
commit(self, fName, statements, bound, modelName)

## Functions

CreateDb(dbName, modelName='default')
CreateFileName(dbName)
DestroyDb(dbName, modelName='default')
ExistsDb(dbName, modelName='default')
# Management functions
GetDb(dbName, modelName='default')
InitializeModule()
Post-import hook to initialize module's runtime variables that are not required at import time, but will be needed before the module-level functions are called.

## Fields

g_modelCache = <Ft.Rdf.Drivers.Dbm.ModelCache instance>